Bug 184144 - [PATCH] sysutils/isomd5sum: update to 1.0.11
[PATCH] sysutils/isomd5sum: update to 1.0.11
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 15:00 UTC by root
Modified: 2013-11-22 10:10 UTC (History)
0 users

See Also:


Attachments
isomd5sum-1.0.11.patch (4.00 KB, patch)
2013-11-21 15:00 UTC, root
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description root 2013-11-21 15:00:00 UTC
	- Change MASTER_SITES and delete BROKEN.
	- Update to 1.0.11
Comment 1 Edwin Groothuis freebsd_committer 2013-11-21 15:00:09 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-11-21 15:00:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-11-21 15:00:10 UTC
Maintainer of sysutils/isomd5sum,

Please note that PR ports/184144 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184144

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 delgod 2013-11-21 15:04:10 UTC
please commit it

-- 
Mykola Marzhan
PortaOne, Inc., Release Engineer
delgod@portaone.com
Tel: +1-866-SIP VOIP (+1 866 747 86 47) ext. 7159
Comment 5 Mark Linimon freebsd_committer 2013-11-21 19:21:29 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 dfilter freebsd_committer 2013-11-22 10:00:16 UTC
Author: jadawin
Date: Fri Nov 22 10:00:08 2013
New Revision: 334566
URL: http://svnweb.freebsd.org/changeset/ports/334566

Log:
  - Update to 1.0.11
  - No more BROKEN
  - Support STAGE
  
  PR:		ports/184144
  Submitted by:	"Charlie &" <root@portaone.com>
  Approved by:	maintainer

Modified:
  head/sysutils/isomd5sum/Makefile   (contents, props changed)
  head/sysutils/isomd5sum/distinfo   (contents, props changed)
  head/sysutils/isomd5sum/files/patch-Makefile   (contents, props changed)
  head/sysutils/isomd5sum/files/patch-md5.c   (contents, props changed)
  head/sysutils/isomd5sum/pkg-plist   (contents, props changed)

Modified: head/sysutils/isomd5sum/Makefile
==============================================================================
--- head/sysutils/isomd5sum/Makefile	Fri Nov 22 09:44:08 2013	(r334565)
+++ head/sysutils/isomd5sum/Makefile	Fri Nov 22 10:00:08 2013	(r334566)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	isomd5sum
-PORTVERSION=	1.0.9
+PORTVERSION=	1.0.11
 PORTREVISION=	1
 CATEGORIES=	sysutils
 MASTER_SITES=	http://git.fedorahosted.org/cgit/isomd5sum.git/snapshot/
@@ -12,16 +12,12 @@ COMMENT=	Implanting and checking checksu
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	popt.0:${PORTSDIR}/devel/popt
+LIB_DEPENDS=	popt:${PORTSDIR}/devel/popt
 
-BROKEN=		Unfetchable due to checksum mismatch
 USES=		gmake
 USE_BZIP2=	yes
 USE_PYTHON=	yes
 
-MAN1=	implantisomd5.1 checkisomd5.1
-
 MAKE_ENV+=	PYTHONPREFIX_SITELIBDIR=${PYTHONPREFIX_SITELIBDIR} PYTHON_INCLUDEDIR=${PYTHON_INCLUDEDIR}
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/sysutils/isomd5sum/distinfo
==============================================================================
--- head/sysutils/isomd5sum/distinfo	Fri Nov 22 09:44:08 2013	(r334565)
+++ head/sysutils/isomd5sum/distinfo	Fri Nov 22 10:00:08 2013	(r334566)
@@ -1,2 +1,2 @@
-SHA256 (isomd5sum-1.0.9.tar.bz2) = 307736e466a84bcf15a34af301d93cba5fcb23f8bd75624dbabdf75d37eeec8d
-SIZE (isomd5sum-1.0.9.tar.bz2) = 18143
+SHA256 (isomd5sum-1.0.11.tar.bz2) = f37a2ed2a4cd9ac518627d73165c3ca103d09a84986b57fee5865c5aa792c6fe
+SIZE (isomd5sum-1.0.11.tar.bz2) = 18120

Modified: head/sysutils/isomd5sum/files/patch-Makefile
==============================================================================
--- head/sysutils/isomd5sum/files/patch-Makefile	Fri Nov 22 09:44:08 2013	(r334565)
+++ head/sysutils/isomd5sum/files/patch-Makefile	Fri Nov 22 10:00:08 2013	(r334566)
@@ -1,17 +1,17 @@
---- ./Makefile.orig	2012-03-09 21:51:31.000000000 +0200
-+++ ./Makefile	2012-10-10 06:07:15.000000000 +0300
+--- ./Makefile.orig	2013-07-17 21:42:23.000000000 +0000
++++ ./Makefile	2013-11-21 15:37:41.000000000 +0000
 @@ -1,16 +1,16 @@
  PYVER  := $(shell python -c 'import sys; print sys.version[0:3]')
  PYTHON = python$(PYVER)
 -PYTHONINCLUDE = /usr/include/$(PYTHON)
 +PYTHONINCLUDE = ${PYTHON_INCLUDEDIR}
  
- VERSION=1.0.9
+ VERSION=1.0.11
  
--ifneq (,$(filter sparc64 ppc64 x86_64 s390x,$(shell uname -m)))
+-ifneq (,$(filter sparc64 ppc64 x86_64 s390x aarch64,$(shell uname -m)))
 -LIBDIR = lib64
 -else
-+#ifneq (,$(filter sparc64 ppc64 x86_64 s390x,$(shell uname -m)))
++#ifneq (,$(filter sparc64 ppc64 x86_64 s390x aarch64,$(shell uname -m)))
 +#LIBDIR = lib64
 +#else
  LIBDIR = lib
@@ -23,20 +23,25 @@
  
  OBJECTS = md5.o libimplantisomd5.o checkisomd5.o implantisomd5
  SOURCES = $(patsubst %.o,%.c,$(OBJECTS))
-@@ -24,10 +24,10 @@
- 	$(CC) -c -O $(CFLAGS) -o $@ $<
+@@ -24,39 +24,39 @@
+ 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -O -o $@ $<
  
  implantisomd5: implantisomd5.o libimplantisomd5.a
--	$(CC) $(CFLAGS) implantisomd5.o libimplantisomd5.a -lpopt -o implantisomd5
-+	$(CC) $(CFLAGS) -L${LOCALBASE}/lib implantisomd5.o libimplantisomd5.a -lpopt -o implantisomd5
+-	$(CC) $(CPPFLAGS) $(CFLAGS) implantisomd5.o libimplantisomd5.a -lpopt $(LDFLAGS) -o implantisomd5
++	$(CC) $(CPPFLAGS) $(CFLAGS) -L${LOCALBASE}/lib implantisomd5.o libimplantisomd5.a -lpopt $(LDFLAGS) -o implantisomd5
  
  checkisomd5: checkisomd5.o libcheckisomd5.a
--	$(CC) $(CFLAGS) checkisomd5.o libcheckisomd5.a -lpopt -o checkisomd5
-+	$(CC) $(CFLAGS) -L${LOCALBASE}/lib checkisomd5.o libcheckisomd5.a -lpopt -o checkisomd5
+-	$(CC) $(CPPFLAGS) $(CFLAGS) checkisomd5.o libcheckisomd5.a -lpopt $(LDFLAGS) -o checkisomd5
++	$(CC) $(CPPFLAGS) $(CFLAGS) -L${LOCALBASE}/lib checkisomd5.o libcheckisomd5.a -lpopt $(LDFLAGS) -o checkisomd5
  
  libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o)
  
-@@ -39,24 +39,24 @@
+ libcheckisomd5.a: libcheckisomd5.a(libcheckisomd5.o md5.o)
+ 
+ pyisomd5sum.so: $(PYOBJS)
+-	$(CC) $(CPPFLAGS) $(CFLAGS) -shared -g -fpic $(PYOBJS) $(LDFLAGS) -o pyisomd5sum.so
++	$(CC) $(CPPFLAGS) $(CFLAGS) -shared -fpic $(PYOBJS) $(LDFLAGS) -o pyisomd5sum.so
+ 
  install: all install-bin install-python install-devel
  
  install-bin:

Modified: head/sysutils/isomd5sum/files/patch-md5.c
==============================================================================
--- head/sysutils/isomd5sum/files/patch-md5.c	Fri Nov 22 09:44:08 2013	(r334565)
+++ head/sysutils/isomd5sum/files/patch-md5.c	Fri Nov 22 10:00:08 2013	(r334566)
@@ -17,12 +17,3 @@
  
  static void byteReverse(unsigned char *buf, unsigned longs);
  
-@@ -157,7 +157,7 @@
- 	MD5_Transform(ctx->buf, (uint32 *) ctx->in);
- 	if (ctx->doByteReverse) byteReverse((unsigned char *) ctx->buf, 4);
- 	memcpy(digest, ctx->buf, 16);
--	memset(ctx, 0, sizeof(ctx));	/* In case it's sensitive */
-+	memset(ctx, 0, sizeof(*ctx));	/* In case it's sensitive */
- }
- 
- #ifndef ASM_MD5

Modified: head/sysutils/isomd5sum/pkg-plist
==============================================================================
--- head/sysutils/isomd5sum/pkg-plist	Fri Nov 22 09:44:08 2013	(r334565)
+++ head/sysutils/isomd5sum/pkg-plist	Fri Nov 22 10:00:08 2013	(r334566)
@@ -1,5 +1,7 @@
 bin/implantisomd5
 bin/checkisomd5
+man/man1/checkisomd5.1.gz
+man/man1/implantisomd5.1.gz
 include/libimplantisomd5.h
 include/libcheckisomd5.h
 lib/libimplantisomd5.a
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Philippe Audeoud freebsd_committer 2013-11-22 10:00:22 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!